<?php
	//Get system name
	if(file_exists("backend/name.txt") && file_get_contents("backend/name.txt") != "")
	{
		$sysname=file_get_contents("backend/name.txt") . " ";
	}
	else
	{
		$sysname="";
	}
?>
<?php
	//Open session
	session_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <meta name="generator" content="CoffeeCup HTML Editor (www.coffeecup.com)">
    <meta name="created" content="Wed, 17 Jun 2015 12:33:52 GMT">
    <meta name="description" content="Listening to a live stream? Got a song you have to hear? This is the place to request it!">
	<link rel="shortcut icon" href="backend/favicon.ico">
    <title><?php echo $sysname; ?>Music Request System-Set Base List</title>
    
    <style type="text/css">
    <!--
    body {
      color:#000000;
	  background-color:#FFFFFF;
      background-image:url('backend/background.gif');
      background-repeat:repeat;
    }
    a  { color:#FFFFFF; background-color:#0000FF; }
    a:visited { color:#FFFFFF; background-color:#800080; }
    a:hover { color:#000000; background-color:#00FF00; }
    a:active { color:#000000; background-color:#FF0000; }
    -->
    </style>
<?php
    //Set status
    $status=3;
	//Write the contents of the song list into the base list
	if(file_exists("backend/logging.txt") && file_get_contents("backend/logging.txt") == "yes")
	{
		//Logging enabled
		//Change the timezone
		if(file_exists("backend/timezone.txt"))
		{
			date_default_timezone_set(file_get_contents("backend/timezone.txt"));
		}
		else
		{
			date_default_timezone_set("America/Toronto");
		}
		$ip=$_SERVER['REMOTE_ADDR'];
		$fh=fopen("log/" . date("Ymd") . ".txt",'a') or die("Backend failure.");
		if($_SESSION['sradmin'] == "y")
		{
            if(file_exists("backend/songlist.txt"))
            {
                $fh2=fopen("backend/baselist.txt",'w') or die("Failed.");
                fwrite($fh2,file_get_contents("backend/songlist.txt"));
                fclose($fh2);
                $date=date("g:i:s");
                fwrite($fh,$ip . " at " . $date . ": Set contents of base list to contents of song list\r\n");
                $status=0;
            }
            else
            {
                $date=date("g:i:s");
                fwrite($fh,$ip . " at " . $date . ": Failed to set contents of base list to contents of song list; song list does not exist\r\n");
                $status=2;
            }
			fclose($fh);
		}
		else
		{
			$date=date("g:i:s");
			fwrite($fh,$ip . " at " . $date . ": Failed to set contents of base list to contents of song list; not administrator\r\n");
			fclose($fh);
            $status=1;
		}
	}
	else
	{
		//Logging disabled
		if($_SESSION['sradmin'] == "y")
		{
            if(file_exists("backend/songlist.txt"))
            {
                $fh2=fopen("backend/baselist.txt",'w') or die("Failed.");
                fwrite($fh2,file_get_contents("backend/songlist.txt"));
                fclose($fh2);
                $status=0;
            }
            else
            {
                $status=2;
            }
			fclose($fh);
		}
		else
		{
            $status=1;
		}
	}
	echo ("<script type=\"text/javascript\">window.location = \"listedit.php?status=" . $status . "\"</script>");
?>
  </head>
  <body>
  </body>
</html>