<?php
	//Open session
	session_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <meta name="generator" content="CoffeeCup HTML Editor (www.coffeecup.com)">
    <meta name="created" content="Wed, 17 Jun 2015 12:33:52 GMT">
    <meta name="description" content="Listening to a live stream? Got a song you have to hear? This is the place to request it!">
	<link rel="shortcut icon" href="../backend/favicon.ico">
    <title> Music Request System-Check For Updates</title>
    
    <style type="text/css">
    <!--
    body {
      color:#000000;
	  background-color:#FFFFFF;
      background-image:url('../backend/background.gif');
      background-repeat:repeat;
    }
    a  { color:#FFFFFF; background-color:#0000FF; }
    a:visited { color:#FFFFFF; background-color:#800080; }
    a:hover { color:#000000; background-color:#00FF00; }
    a:active { color:#000000; background-color:#FF0000; }
    -->
    </style>
  </head>
<?php
	//Set current version header
	//$current=array("2","0","53",true);
	$current=array("0","0","0",false);
	if(file_exists("../backend/version.txt"))
	{
		$data=explode("\r\n",file_get_contents("../backend/version.txt"));
		$current=explode("|",$data[0]);
		switch($current[3])
		{
			case "1":
			$current[3]=true;
			break;
			default:
			$current[3]=false;
			break;
		}
	}
	//initialize latest version header
	$new=array("0","0","0",false);
	if(file_exists("../backend/logging.txt") && file_get_contents("../backend/logging.txt") == "yes")
	{
		//Change the timezone
		if(file_exists("backend/timezone.txt"))
		{
			date_default_timezone_set(file_get_contents("backend/timezone.txt"));
		}
		else
		{
			date_default_timezone_set("America/Toronto");
		}
		//Logging enabled
		$ip=$_SERVER['REMOTE_ADDR'];
		$fh=fopen("../log/" . date("Ymd") . ".txt",'a') or die("Failed to open file \"\". It should now be microwaved..");
		//Only show page if user is an administrator
		$date=date("g:i:s");
		fwrite($fh,$ip . " at " . $date . ": Viewed update check page\r\n");
		if(!isset($_SESSION['sradmin']) || $_SESSION['sradmin'] != "y")
		{
			fclose($fh);
			die("You are not an administrator. <a href=\"../login.php\">Sign in</a> or <a href=\"../index.php\">Cancel</a>.");
		}
		//Initialize curl
		$curl=curl_init();
		$check=-1;
		if($curl !== false)
		{
			$date=date("g:i:s");
			fwrite($fh,$ip . " at " . $date . ": Initialized CURL to get latest version information\r\n");
			//Set curl options
			curl_setopt($curl, CURLOPT_URL, "http://firealarms.redbat.ca/mrs/latest.txt");
			curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($curl, CURLOPT_HEADER, false);
			$date=date("g:i:s");
			fwrite($fh,$ip . " at " . $date . ": Set curl options\r\n");
			//Execute curl
			$data = curl_exec($curl);
			$date=date("g:i:s");
			fwrite($fh,$ip . " at " . $date . ": Executed curl\r\n");
			
			//Check and form the data
			if($data != "" && !curl_errno($curl) && curl_getinfo($curl,CURLINFO_HTTP_CODE) == 200)
			{
				$date=date("g:i:s");
				fwrite($fh,$ip . " at " . $date . ": Successfully executed curl\r\n");
				$data=explode("|",$data);
				$new=$data;
				switch($new[3])
				{
					case "1":
					$new[3]=true;
					break;
					default:
					$new[3]=false;
					break;
				}
				
				if(($current[0] != $new[0] || $current[1] != $new[1]) && $new[3] === false)
				{
					//New major/minor version
					$check=1;
				}
				elseif($current[2] != $new[2] && $new[3] === false)
				{
					//New revision
					$check=2;
				}
				elseif($current[3] === true && $new[3] === false)
				{
					//Stable release when running non-stable release
					$check=1;
				}
				elseif(($current[0] != $new[0] || $current[1] != $new[1] || $current[2] != $new[2]) && $new[3] !== false)
				{
					//New beta release
					$check=3;
				}
				else
				{
					//No new release
					$check=0;
				}
			}
			else
			{
				//Curl failed
				$date=date("g:i:s");
				fwrite($fh,$ip . " at " . $date . ": Failed to execute curl, error: " . curl_errno($curl) . "\r\n");
				fclose($fh);
			}
			//Close session
			curl_close($curl);
			$date=date("g:i:s");
			fwrite($fh,$ip . " at " . $date . ": Closed curl session\r\n");
			fclose($fh);
		}
	}
	else
	{
		//Only show page if user is an administrator
		if(!isset($_SESSION['sradmin']) || $_SESSION['sradmin'] != "y")
		{
			die("You are not an administrator. <a href=\"../login.php\">Sign in</a> or <a href=\"../index.php\">Cancel</a>.");
		}
		//Initialize curl
		$curl=curl_init();
		$check=-1;
		if($curl !== false)
		{
			//Set curl options
			curl_setopt($curl, CURLOPT_URL, "http://firealarms.redbat.ca/mrs/latest.txt");
			curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($curl, CURLOPT_HEADER, false);
			//Execute curl
			$data = curl_exec($curl);
			
			//Check and form the data
			if($data != "" && !curl_errno($curl) && curl_getinfo($curl,CURLINFO_HTTP_CODE) == 200)
			{
				$data=explode("|",$data);
				$new=$data;
				switch($new[3])
				{
					case "1":
					$new[3]=true;
					break;
					default:
					$new[3]=false;
					break;
				}
				
				if(($current[0] != $new[0] || $current[1] != $new[1]) && $new[3] === false)
				{
					//New major/minor version
					$check=1;
				}
				elseif($current[2] != $new[2] && $new[3] === false)
				{
					//New revision
					$check=2;
				}
				elseif($current[3] === true && $new[3] === false)
				{
					//Stable release when running non-stable release
					$check=1;
				}
				elseif(($current[0] != $new[0] || $current[1] != $new[1] || $current[2] != $new[2]) && $new[3] !== false)
				{
					//New beta release
					$check=3;
				}
				else
				{
					//No new release
					$check=0;
				}
			}
			//Close session
			curl_close($curl);
		}
	}
?>
  <body>
  <h1 style="text-align:center; text-decoration:underline;">MRS-Upgrade System</h1>
  <h2>Version Check</h2>
  <p>Current version: <b><?php echo ("$current[0].$current[1], revision $current[2]"); ?></b><br>
  Latest version:<b><?php echo ("$new[0].$new[1], revision $new[2]"); ?></b></p>
  <p>
  <?php
	switch($check)
	{
		case 0:
		echo ("No new version is available.");
		break;
		case 1:
		echo ("A new release is available. Upgrading is highly encouraged.");
		break;
		case 2:
		echo ("A new revision is available. Upgrading is not necessary, but may be desirable if new features are wanted or bug fixes are present.");
		break;
		case 3:
		echo ("A new beta release is available. Stability may not be present, and upgrading is not recommended.");
		break;
		default:
		echo ("Cannot determine the newest release number.");
		break;
	}
  ?>
  </p>
  <p>The latest MRS can be obtained <a href="http://firealarms.redbat.ca/mrs/download.html">here</a>. Direct upgrades through this system are not supported yet.</p>
  <p><a href="../admin.php">Go back</a></p>
  </body>
</html>